summaryrefslogtreecommitdiffstats
path: root/next/bin/query
diff options
context:
space:
mode:
Diffstat (limited to 'next/bin/query')
-rwxr-xr-xnext/bin/query20
1 files changed, 20 insertions, 0 deletions
diff --git a/next/bin/query b/next/bin/query
new file mode 100755
index 00000000..0e55a6ce
--- /dev/null
+++ b/next/bin/query
@@ -0,0 +1,20 @@
+#! /bin/sh
+set -euf
+
+host=$1
+attr=$2
+
+nixos_config=$config_root/modules/$host
+secrets_nix=$secrets_root/$host/nix
+secrets_rsync=$secrets_root/$host/rsync
+
+nix-instantiate \
+ -I "$nixpkgs" \
+ -I nixos-config="$nixos_config" \
+ -I retiolum-hosts="$retiolum_hosts" \
+ -I secrets="$secrets_nix" \
+ -A config."$attr" \
+ '<nixos>' \
+ --eval \
+ --json \
+ | jq -r .